apiVersion: builtin
kind: LabelTransformer
metadata:
  name: argocd-labels

labels:
  2tefan.eu/name: argocd
  2tefan.eu/managed-by: me
  2tefan.eu/part-of: argocd
  2tefan.eu/stage: prod
  2tefan.eu/use: personal

fieldSpecs:
- path: metadata/labels
  create: true
- kind: DaemonSet
  path: spec/template/metadata/labels
  create: true
- kind: Deployment
  path: spec/template/metadata/labels
  create: true
- kind: StatefulSet
  path: spec/template/metadata/labels
  create: true

